commit:     0fc3c6f7e8dad6474431eec80ae4ad6121a585ab
Author:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  4 03:26:31 2020 +0000
Commit:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Fri Dec  4 03:26:48 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0fc3c6f7

app-emulation/wine-staging: Sync with ::wine

Package-Manager: Portage-3.0.11, Repoman-3.0.2
Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>

 .../wine-staging/wine-staging-5.22-r2.ebuild         | 20 +++++++++++++-------
 app-emulation/wine-staging/wine-staging-9999.ebuild  | 20 +++++++++++++-------
 2 files changed, 26 insertions(+), 14 deletions(-)

diff --git a/app-emulation/wine-staging/wine-staging-5.22-r2.ebuild 
b/app-emulation/wine-staging/wine-staging-5.22-r2.ebuild
index 9d69e49cd8d..00e7c18d4b6 100644
--- a/app-emulation/wine-staging/wine-staging-5.22-r2.ebuild
+++ b/app-emulation/wine-staging/wine-staging-5.22-r2.ebuild
@@ -44,7 +44,7 @@ fi
 
 LICENSE="LGPL-2.1"
 SLOT="${PV}"
-IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc 
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos 
kernel_FreeBSD +lcms ldap mingw +mono mp3 ncurses netapi nls odbc openal opencl 
+opengl osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime 
+run-exes samba scanner sdl selinux +ssl staging test themes +threads +truetype 
udev +udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
+IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc 
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos 
kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl 
osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes 
samba scanner sdl selinux +ssl staging test themes +threads +truetype udev 
+udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
 REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
        X? ( truetype )
        elibc_glibc? ( threads )
@@ -86,7 +86,6 @@ COMMON_DEPEND="
        lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
        ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
        mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
-       ncurses? ( >=sys-libs/ncurses-5.2:0=[${MULTILIB_USEDEP}] )
        netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
        nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
        odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
@@ -471,7 +470,6 @@ multilib_src_configure() {
                $(use_with capi)
                $(use_with lcms cms)
                $(use_with cups)
-               $(use_with ncurses curses)
                $(use_with udisks dbus)
                $(use_with faudio)
                $(use_with fontconfig)
@@ -576,12 +574,20 @@ multilib_src_install_all() {
        fi
 
        # Remove wineconsole if neither backend is installed #551124
-       if ! use X && ! use ncurses; then
+       if ! use X; then
                rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
                rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
-               rm_wineconsole() {
-                       rm 
"${D%/}${MY_PREFIX}/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
-               }
+
+               if ! use mingw; then
+                       rm_wineconsole() {
+                               rm 
"${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/{,fakedlls/}wineconsole.exe*
 || die
+                       }
+               else
+                       rm_wineconsole() {
+                               rm 
"${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/wineconsole.exe* || die
+                       }
+               fi
+
                multilib_foreach_abi rm_wineconsole
        fi
 

diff --git a/app-emulation/wine-staging/wine-staging-9999.ebuild 
b/app-emulation/wine-staging/wine-staging-9999.ebuild
index 89c38276706..ccde3bd8652 100644
--- a/app-emulation/wine-staging/wine-staging-9999.ebuild
+++ b/app-emulation/wine-staging/wine-staging-9999.ebuild
@@ -44,7 +44,7 @@ fi
 
 LICENSE="LGPL-2.1"
 SLOT="${PV}"
-IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc 
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos 
kernel_FreeBSD +lcms ldap mingw +mono mp3 ncurses netapi nls odbc openal opencl 
+opengl osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime 
+run-exes samba scanner sdl selinux +ssl staging test themes +threads +truetype 
udev +udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
+IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc 
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos 
kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl 
osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes 
samba scanner sdl selinux +ssl staging test themes +threads +truetype udev 
+udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
 REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
        X? ( truetype )
        elibc_glibc? ( threads )
@@ -86,7 +86,6 @@ COMMON_DEPEND="
        lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
        ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
        mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
-       ncurses? ( >=sys-libs/ncurses-5.2:0=[${MULTILIB_USEDEP}] )
        netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
        nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
        odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
@@ -471,7 +470,6 @@ multilib_src_configure() {
                $(use_with capi)
                $(use_with lcms cms)
                $(use_with cups)
-               $(use_with ncurses curses)
                $(use_with udisks dbus)
                $(use_with faudio)
                $(use_with fontconfig)
@@ -575,12 +573,20 @@ multilib_src_install_all() {
        fi
 
        # Remove wineconsole if neither backend is installed #551124
-       if ! use X && ! use ncurses; then
+       if ! use X; then
                rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
                rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
-               rm_wineconsole() {
-                       rm 
"${D%/}${MY_PREFIX}/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
-               }
+
+               if ! use mingw; then
+                       rm_wineconsole() {
+                               rm 
"${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/{,fakedlls/}wineconsole.exe*
 || die
+                       }
+               else
+                       rm_wineconsole() {
+                               rm 
"${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/wineconsole.exe* || die
+                       }
+               fi
+
                multilib_foreach_abi rm_wineconsole
        fi
 

Reply via email to